class TBarrier
{
public:
	struct TBar
	{
		float x, y, SensitiveX, SensitiveY, SensitiveWidth, SensitiveHeight, width, height, DecSpeed; //DecSpeed - Замедление при прохождении преграды. 0 - пройти не возможно
		int	type;
	};

	TBarrier();
	Add(float x, float y, int BarType);
	Delete(int Index);
	Update(float dt);
	Render(float X, float Y);

	TBar Bar[1000];

private:
	HTEXTURE texType1, texType2, texType3;
	hgeSprite *sprType1, *sprType2, *sprType3;

};
